commit:     4ff3ded3fb73aca88abded9601f469560a0ff14b
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 15 14:32:39 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Thu Oct 15 14:41:21 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4ff3ded3

dev-python/logilab-common: Version Bump

Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/logilab-common/Manifest                 |  1 +
 .../logilab-common/logilab-common-1.1.0.ebuild     | 66 ++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/dev-python/logilab-common/Manifest 
b/dev-python/logilab-common/Manifest
index b5b1dda..078327d 100644
--- a/dev-python/logilab-common/Manifest
+++ b/dev-python/logilab-common/Manifest
@@ -1,2 +1,3 @@
 DIST logilab-common-0.63.2.tar.gz 196789 SHA256 
603ba00c9bb09219a3bd2906c214d9455481110dacc472f450b53d5ae90f28e7 SHA512 
e4b089387ab7d5d039ec719e736711f54af8d722be4ea0a933014375fe353045528c3c74c3feb6868aefe4a867223c483985fb1415aabe25dba1d333d1afbdb9
 WHIRLPOOL 
d937ebb1f20c2bb040552bf32afc767f4238c21cb995583f9f19404c9a22bec634889a684a9fecfb70b2a17803cd4df6507dc5a74b6ae9ee4d04759d724bb687
 DIST logilab-common-1.0.2.tar.gz 190912 SHA256 
3f847b36f6c03ffc8521ed61e691501c9713f8654964b90201f2056742d38300 SHA512 
12caab49851ee1f335b9de19892ad26a1459308f9b8ad7b1270d4563d6afa05138be5cc7b21c7d4ff311d7da5348bf2929042d4db4e0e629413236ae4432f54b
 WHIRLPOOL 
44ba64f36b89aa6fd8acce39944f5f3eaa438b9a923e322a8f19464b28b7b5c2d0692f49e382e8281cae093e18a102879e18b5f647d267749165e8904be19b64
+DIST logilab-common-1.1.0.tar.gz 184529 SHA256 
9614fdddab90b1170d210c55f67f42584344b2a5fd6091fe4ac142069b08a4ad SHA512 
a5fd3c5156cb0283e252a48fe84c66c721bc3407a6ea52e9f53ae0854e1a6d41ab4a8c60581aa187a2fa473c5ecc399ca32e98d972740b85067f8c52254132fa
 WHIRLPOOL 
43f0197499ccbcf9afb9dfa7de33f16a852bac1ba38bd8ec1cd7dd5b0bc12c24f3ac203dabc2161d8eaa2b5d04e5a8ddab4a1f3e8bed99f7b8e0e9797d16a460

diff --git a/dev-python/logilab-common/logilab-common-1.1.0.ebuild 
b/dev-python/logilab-common/logilab-common-1.1.0.ebuild
new file mode 100644
index 0000000..2659709
--- /dev/null
+++ b/dev-python/logilab-common/logilab-common-1.1.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="Useful miscellaneous modules used by Logilab projects"
+HOMEPAGE="http://www.logilab.org/project/logilab-common 
https://pypi.python.org/pypi/logilab-common";
+SRC_URI="ftp://ftp.logilab.org/pub/common/${P}.tar.gz 
mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux 
~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="test doc"
+
+RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+# egenix-mx-base tests are optional and supports python2 only.
+DEPEND="${RDEPEND}
+       >=dev-python/six-1.4.0[${PYTHON_USEDEP}]
+       test? ( $(python_gen_cond_dep 
'dev-python/egenix-mx-base[${PYTHON_USEDEP}]' python2_7)
+               dev-python/pytz[${PYTHON_USEDEP}] )
+       doc? ( $(python_gen_cond_dep 'dev-python/epydoc[${PYTHON_USEDEP}]' 
python2_7) )"
+
+# Req'd for impl specific failures in the testsuite
+DISTUTILS_IN_SOURCE_BUILD=1
+
+python_prepare_all() {
+       sed -e 's:(CURDIR):{S}/${P}:' -i doc/makefile || die
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       if use doc; then
+               # Based on the doc build in Arfrever's ebuild. It works
+               pushd doc > /dev/null
+               mkdir -p apidoc || die
+               epydoc --parse-only -o apidoc --html -v --no-private 
--exclude=__pkginfo__ --exclude=setup --exclude=test \
+                       -n "Logilab's common library" "$(ls -d 
../build/lib/logilab/common/)" build \
+                       || die "Generation of documentation failed"
+       fi
+}
+
+python_test() {
+       distutils_install_for_testing
+
+       # https://www.logilab.org/ticket/149345
+       # Prevent timezone related failure.
+       export TZ=UTC
+
+       # Make sure that the tests use correct modules.
+       pushd "${TEST_DIR}"/lib > /dev/null || die
+       "${TEST_DIR}"/scripts/pytest || die "Tests fail with ${EPYTHON}"
+       popd > /dev/null || die
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+
+       doman doc/pytest.1
+       use doc &&  dohtml -r doc/apidoc/.
+}

Reply via email to